Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment
Interface XSLSubDeployerMBean

All Superinterfaces:
  Service, ServiceMBean, SubDeployerMBean

All Known Implementing Classes:
  XSLSubDeployer

public interface XSLSubDeployerMBean
extends SubDeployerMBean

MBean interface.

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`boolean` | `accepts(DeploymentInfo di)` The `accepts` method is called by MainDeployer to determine which deployer is suitable for a DeploymentInfo.
`void` | `create(DeploymentInfo di)` Set up the components of the deployment that do not refer to other components
`void` | `destroy(DeploymentInfo di)` The `destroy` method removes individual components
`String` | `getDdSuffix()` Describe `getDdSuffix` method here.
`javax.management.ObjectName` | `getDelegateName()` Describe `getDelegateName` method here.
`String` | `getPackageSuffix()` Describe `getPackageSuffix` method here.
`String` | `getXslUrl()` Describe `getXslUrl` method here.
`void` | `init(DeploymentInfo di)` The `init` method lets the deployer set a few properties of the DeploymentInfo, such as the watch url.
`void` | `setDdSuffix(String ddSuffix)` Describe `setDdSuffix` method here.
`void` | `setDelegateName(javax.management.ObjectName delegateName)` Describe `setDelegateName` method here.
`void` | `setPackageSuffix(String packageSuffix)` Describe `setPackageSuffix` method here.
`void` | `setXslUrl(String xslUrl)` Describe `setXslUrl` method here.
`void` | `start(DeploymentInfo di)` The `start` method sets up relationships with other components.
`void` | `stop(DeploymentInfo di)` The `stop` method removes relationships between components.

Methods inherited from interface org.jboss.deployment.SubDeployerMBean
`getRelativeOrder, getSuffixes, setRelativeOrder, setSuffixes`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### setXslUrl

    public void setXslUrl(String xslUrl)

  Describe `setXslUrl` method here.

  Parameters:
    `xslUrl` - a `String` value

### getXslUrl

    public String getXslUrl()

  Describe `getXslUrl` method here.

  Returns:
    a `String` value

### setPackageSuffix

    public void setPackageSuffix(String packageSuffix)

  Describe `setPackageSuffix` method here.

  Parameters:
    `packageSuffix` - a `String` value

### getPackageSuffix

    public String getPackageSuffix()

  Describe `getPackageSuffix` method here.

  Returns:
    a `String` value

### setDdSuffix

    public void setDdSuffix(String ddSuffix)

  Describe `setDdSuffix` method here.

  Parameters:
    `ddSuffix` - a `String` value

### getDdSuffix

    public String getDdSuffix()

  Describe `getDdSuffix` method here.

  Returns:
    a `String` value

### setDelegateName

    public void setDelegateName(javax.management.ObjectName delegateName)

  Describe `setDelegateName` method here.

  Parameters:
    `delegateName` - an `ObjectName` value

### getDelegateName

    public javax.management.ObjectName getDelegateName()

  Describe `getDelegateName` method here.

### accepts

    public boolean accepts(DeploymentInfo di)

  Description copied from interface: `SubDeployerMBean`
  The `accepts` method is called by MainDeployer to determine which deployer is suitable for a DeploymentInfo.

  Specified by:
    `accepts` in interface `SubDeployerMBean`
  Parameters:
    `di` - a `DeploymentInfo` value
  Returns:
    a `boolean` value

### init

    public void init(DeploymentInfo di)
              throws DeploymentException

  Description copied from interface: `SubDeployerMBean`
  The `init` method lets the deployer set a few properties of the DeploymentInfo, such as the watch url.

  Specified by:
    `init` in interface `SubDeployerMBean`
  Parameters:
    `di` - a `DeploymentInfo` value
  Throws:
    `DeploymentException` - if an error occurs

### create

    public void create(DeploymentInfo di)
                throws DeploymentException

  Description copied from interface: `SubDeployerMBean`
  Set up the components of the deployment that do not refer to other components

  Specified by:
    `create` in interface `SubDeployerMBean`
  Parameters:
    `di` - a `DeploymentInfo` value
  Throws:
    `DeploymentException` - Failed to deploy

### start

    public void start(DeploymentInfo di)
               throws DeploymentException

  Description copied from interface: `SubDeployerMBean`
  The `start` method sets up relationships with other components.

  Specified by:
    `start` in interface `SubDeployerMBean`
  Parameters:
    `di` - a `DeploymentInfo` value
  Throws:
    `DeploymentException` - if an error occurs

### stop

    public void stop(DeploymentInfo di)
              throws DeploymentException

  Description copied from interface: `SubDeployerMBean`
  The `stop` method removes relationships between components.

  Specified by:
    `stop` in interface `SubDeployerMBean`
  Parameters:
    `di` - a `DeploymentInfo` value
  Throws:
    `DeploymentException` - if an error occurs

### destroy

    public void destroy(DeploymentInfo di)
                 throws DeploymentException

  Description copied from interface: `SubDeployerMBean`
  The `destroy` method removes individual components

  Specified by:
    `destroy` in interface `SubDeployerMBean`
  Parameters:
    `di` - a `DeploymentInfo` value
  Throws:
    `DeploymentException` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.